package com.fs.qw.event;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.HashMap;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = true)
public class EventMessageLink extends EventQwMessage {
    private String url; // 链接地址
    private String title; //标题
    private String desc; //描述
    private String imageUrl; //缩略图

    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("url", url);
        map.put("title", title);
        map.put("desc", desc);
        map.put("imageUrl", imageUrl);
        return map;
    }
}
